Minimum system requirements? 3DGE not running

Are you experiencing a problem? Maybe you can't get your scripts to do what you need, or are frustrated by a feature you just can't seem to get working? Let us know about it here and we will try our best to help you out!
User avatar
Marscaleb
Posts: 89
Joined: Sat Jun 25, 2016 12:57 pm
Location: California or Utah
Gender: None specified
Contact:

Minimum system requirements? 3DGE not running

Postby Marscaleb » Mon Jul 17, 2017 10:20 am

What are the minimum system requirements to run 3DGE?

I always thought it was pretty generous with its requirements; at the very least, if I disable some features like dynamic lighting, I should be able to run it on just about anything made this century.

But I was wanting to try out how well the multiplayer works, so I slapped the program on an old computer I had set up at the moment. But when I tried to run it, it instantly gave me an error which said something to the effect of "This program is not a valid win 32 application."
This honestly surprised me. Honestly that computer may be older, but it was still built for gaming, and it should be able to run 3DGE better than the old-but-not-as-old laptop that I've been using for working on my mod for the last month. But yet it was stopped right out of the gate.

What is going on? Does 3DGE not run on 32-bit systems at all?

User avatar
Coraline
Site Admin
Posts: 747
Joined: Fri Jun 08, 2012 11:22 am
Gender: Female
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Coraline » Mon Jul 17, 2017 12:43 pm

Which version of 3DGE are you using? Also, what version of Windows is on there? Finally, what was the last version of 3DGE that worked well?

Things can get muddied up, especially since the Windows arch of 3DGE is now only built using Visual Studio -- but I still have it set in Win32 mode.

Also, do you have the VS runtimes installed on the machine you are attempting to use it with?
\(סּںסּَ` )/ۜ

User avatar
Marscaleb
Posts: 89
Joined: Sat Jun 25, 2016 12:57 pm
Location: California or Utah
Gender: None specified
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Marscaleb » Tue Jul 18, 2017 12:14 am

3DGE 2.1.0-Test2

This is the version installed on both my laptop and my old desktop. (And probably my modern desktop.)
I had downloaded it for the desktop just last night, and for the laptop just a week or two back.

The old desktop is running Windows XP SP3.
The laptop is running Windows 10 64-bit. (And I shouldn't have upgraded it 10.)

I never tried running any version of 3DGE on that computer before, so there is no "last version" unless I spend an hour going through every old version to find one that works.
And yes, I did install the Visual studio redist as mentioned in the readme file; that was the first thing I tried when it wouldn't run. It made no change. It wasn't missing a dll file, it just says "is not a valid Win32 application."

User avatar
Marscaleb
Posts: 89
Joined: Sat Jun 25, 2016 12:57 pm
Location: California or Utah
Gender: None specified
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Marscaleb » Wed Jul 19, 2017 10:41 am

Okay, I'm gonna try a bunch of different versions and see if any of them run on this computer. I'll just try some until I have to leave for work.

2.1.0 Test 1
Same error!

2.0.4 final
works!

User avatar
Rachael
Posts: 9
Joined: Mon Jan 30, 2017 12:13 pm
Gender: Female

Re: Minimum system requirements? 3DGE not running

Postby Rachael » Wed Jul 19, 2017 10:51 am

Have you tried the latest devbuilds? They're a little softer on requirements.

https://devbuilds.drdteam.org/3dge/

User avatar
Marscaleb
Posts: 89
Joined: Sat Jun 25, 2016 12:57 pm
Location: California or Utah
Gender: None specified
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Marscaleb » Thu Jul 20, 2017 10:12 am


User avatar
Coraline
Site Admin
Posts: 747
Joined: Fri Jun 08, 2012 11:22 am
Gender: Female
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Coraline » Thu Jul 20, 2017 1:13 pm

What are your system specs? Processor, RAM, Video Card..? Also, do you have VS runtimes installed?

Does your processor support SSE2 extensions? Is it an AMD processor?

Run DXDIAG and let me know what the output is. Feel free to post a screenshot if that'll be any easier.

EDIT:

Windows XP SP3 should be supported... Have you tried running sfc /scannow from the DOS prompt and seeing if maybe something in your
install is mucked up?

Also, it seems Microsoft, starting with Visual Studio 2013, does not support programs compiled with it on Windows XP systems: see the following:
https://blogs.msdn.microsoft.com/vcblog ... udio-2012/

But they long since released a patch for it. The last thing I can do is try to target WinXP machines with a new compile, but that'll involve changing
a bunch of project settings. For now, let's start from the top and work our way down.
\(סּںסּَ` )/ۜ

User avatar
Rachael
Posts: 9
Joined: Mon Jan 30, 2017 12:13 pm
Gender: Female

Re: Minimum system requirements? 3DGE not running

Postby Rachael » Thu Jul 20, 2017 1:27 pm

If CMAKE is run with "-t v140_xp" the resulting executable should be XP SP3 compatible.

User avatar
Coraline
Site Admin
Posts: 747
Joined: Fri Jun 08, 2012 11:22 am
Gender: Female
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Coraline » Thu Jul 20, 2017 4:03 pm

So to do that, would we just edit CMAKELISTS.txt? Because if so, I can do a quick recompile, set the
project settings over again (wish there was a way to save it as a template in Visual Studio), and just
recompile -- that way Marscaleb can use the latest Devbuilds. xD

EDIT:

Found out that I didn't have Windows XP support enabled in the Visual Studio Community 2015
Custom Install options, so I installed that and I will find out if everything works okay from there. I have
also set CMAKE to generate a WindowsXP-compatible toolset.

EDIT 2:

Takes a damn long time to just configure the Visual Studio install, going on over an hour here O_o
\(סּںסּَ` )/ۜ

User avatar
Marscaleb
Posts: 89
Joined: Sat Jun 25, 2016 12:57 pm
Location: California or Utah
Gender: None specified
Contact:

Re: Minimum system requirements? 3DGE not running

Postby Marscaleb » Thu Jul 20, 2017 10:21 pm

Thanks for all the work you're putting in!

Just to be clear, I'm not talking about my regular computer. I have a modern desktop and not-that-old laptop that I use regularly. The computer I'm having difficultly running this on is an older computer that I used to use regularly.

I actually have a collection of old computers. I've been running a Doom tournament at a local convention for a few years now, and so I have a few old computers that I run old games on. I've been using ZDaemon for Doom because of its extended multiplayer options, with Chocolate Doom and Crispy Doom on-hand if someone wants to play single-player. (A lot of kids come by that have never seen Doom before, and I like to give them the authentic experience.)

Realistically, I don't know how many people will ever want to run 3DGE on an XP computer; even I'm not doing that. I was only putting it on that computer because it was convenient, since I still had it out after the convention.
But it just *seems* like it should be an option; a port of a game as old as Doom should be able to run on old computers. Although, maybe that's just the old man in me, refusing to get with the times. Get off my lawn; I'll upgrade my computer when they release the VooDoo 6; That Direct3D will never look better than Glide!

Seriously though, I don't want to ask you to put Windows XP on the list of requirements if its going to take a lot of effort to keep it active. If it was just a little bit of effort to change some compile settings, that would be one thing, but not if its going to take up a lot of time. There are more important things to be done with the engine, like fixing Heretic, especially the inventory system (I'd like to have that in my mod.)

EDIT: This post totally wasn't edited.
Last edited by Marscaleb on Fri Jul 21, 2017 5:31 pm, edited 1 time in total.


Return to “Support and Help”

Who is online

Users browsing this forum: No registered users and 1 guest